Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.server.ssl
Interface SslConnector

All Superinterfaces:
  Connector, LifeCycle

All Known Implementing Classes:
  SslSelectChannelConnector, SslSocketConnector

    public interface SslConnector

extends Connector

The interface for SSL connectors and their configuration methods.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle
`LifeCycle.Listener`

Field Summary
`static java.lang.String` | `DEFAULT_KEYSTORE` Default value for the keystore location path.
`static java.lang.String` | `DEFAULT_KEYSTORE_ALGORITHM`
`static java.lang.String` | `DEFAULT_TRUSTSTORE_ALGORITHM`
`static java.lang.String` | `KEYPASSWORD_PROPERTY` String name of key password property.
`static java.lang.String` | `PASSWORD_PROPERTY` String name of keystore password property.

Method Summary
`java.lang.String[]` | `getExcludeCipherSuites()`
`java.lang.String[]` | `getIncludeCipherSuites()`
`java.lang.String` | `getKeystore()`
`java.lang.String` | `getKeystoreType()`
`boolean` | `getNeedClientAuth()`
`java.lang.String` | `getProtocol()`
`java.lang.String` | `getProvider()`
`java.lang.String` | `getSecureRandomAlgorithm()`
`javax.net.ssl.SSLContext` | `getSslContext()`
`java.lang.String` | `getSslKeyManagerFactoryAlgorithm()`
`java.lang.String` | `getSslTrustManagerFactoryAlgorithm()`
`java.lang.String` | `getTruststore()`
`java.lang.String` | `getTruststoreType()`
`boolean` | `getWantClientAuth()`
`boolean` | `isAllowRenegotiate()`
`void` | `setAllowRenegotiate(boolean allowRenegotiate)` Set if SSL re-negotiation is allowed.
`void` | `setExcludeCipherSuites(java.lang.String[] cipherSuites)`
`void` | `setIncludeCipherSuites(java.lang.String[] cipherSuites)`
`void` | `setKeyPassword(java.lang.String password)`
`void` | `setKeystore(java.lang.String keystore)`
`void` | `setKeystoreType(java.lang.String keystoreType)`
`void` | `setNeedClientAuth(boolean needClientAuth)`
`void` | `setPassword(java.lang.String password)`
`void` | `setProtocol(java.lang.String protocol)`
`void` | `setProvider(java.lang.String provider)`
`void` | `setSecureRandomAlgorithm(java.lang.String algorithm)`
`void` | `setSslContext(javax.net.ssl.SSLContext sslContext)`
`void` | `setSslKeyManagerFactoryAlgorithm(java.lang.String algorithm)`
`void` | `setSslTrustManagerFactoryAlgorithm(java.lang.String algorithm)`
`void` | `setTrustPassword(java.lang.String password)`
`void` | `setTruststore(java.lang.String truststore)`
`void` | `setTruststoreType(java.lang.String truststoreType)`
`void` | `setWantClientAuth(boolean wantClientAuth)`

Methods inherited from interface org.eclipse.jetty.server.Connector
`close, customize, getConfidentialPort, getConfidentialScheme, getConnection, getConnections, getConnectionsDurationMax, getConnectionsDurationMean, getConnectionsDurationStdDev, getConnectionsDurationTotal, getConnectionsOpen, getConnectionsOpenMax, getConnectionsRequestsMax, getConnectionsRequestsMean, getConnectionsRequestsStdDev, getHost, getIntegralPort, getIntegralScheme, getLocalPort, getLowResourceMaxIdleTime, getMaxIdleTime, getName, getPort, getRequestBuffers, getRequestBufferSize, getRequestHeaderSize, getRequests, getResolveNames, getResponseBuffers, getResponseBufferSize, getResponseHeaderSize, getServer, getStatsOn, getStatsOnMs, isConfidential, isIntegral, isLowResources, open, persist, setHost, setLowResourceMaxIdleTime, setMaxIdleTime, setPort, setRequestBufferSize, setRequestHeaderSize, setResponseBufferSize, setResponseHeaderSize, setServer, setStatsOn, statsReset`

Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Field Detail

### DEFAULT_KEYSTORE_ALGORITHM

    static final java.lang.String DEFAULT_KEYSTORE_ALGORITHM

### DEFAULT_TRUSTSTORE_ALGORITHM

    static final java.lang.String DEFAULT_TRUSTSTORE_ALGORITHM

### DEFAULT_KEYSTORE

    static final java.lang.String DEFAULT_KEYSTORE

  Default value for the keystore location path.

### KEYPASSWORD_PROPERTY

    static final java.lang.String KEYPASSWORD_PROPERTY

  String name of key password property.

  See Also:
    Constant Field Values

### PASSWORD_PROPERTY

    static final java.lang.String PASSWORD_PROPERTY

  String name of keystore password property.

  See Also:
    Constant Field Values

Method Detail

### getExcludeCipherSuites

    java.lang.String[] getExcludeCipherSuites()

  Returns:
    The array of Ciphersuite names to exclude from `SSLEngine.setEnabledCipherSuites(String[])`

### setExcludeCipherSuites

    void setExcludeCipherSuites(java.lang.String[] cipherSuites)

  Parameters:
    `cipherSuites` - The array of Ciphersuite names to exclude from `SSLEngine.setEnabledCipherSuites(String[])`

### getIncludeCipherSuites

    java.lang.String[] getIncludeCipherSuites()

  Returns:
    The array of Ciphersuite names to include in `SSLEngine.setEnabledCipherSuites(String[])`

### setIncludeCipherSuites

    void setIncludeCipherSuites(java.lang.String[] cipherSuites)

  Parameters:
    `cipherSuites` - The array of Ciphersuite names to include in `SSLEngine.setEnabledCipherSuites(String[])`

### setPassword

    void setPassword(java.lang.String password)

  Parameters:
    `password` - The password for the key store

### setTrustPassword

    void setTrustPassword(java.lang.String password)

  Parameters:
    `password` - The password for the trust store

### setKeyPassword

    void setKeyPassword(java.lang.String password)

  Parameters:
    `password` - The password (if any) for the specific key within the key store

### getProtocol

    java.lang.String getProtocol()

  Returns:
    The SSL protocol (default "TLS") passed to `SSLContext.getInstance(String, String)`

### setProtocol

    void setProtocol(java.lang.String protocol)

  Parameters:
    `protocol` - The SSL protocol (default "TLS") passed to `SSLContext.getInstance(String, String)`

### setKeystore

    void setKeystore(java.lang.String keystore)

  Parameters:
    `keystore` - The file or URL of the SSL Key store.

### getKeystore

    java.lang.String getKeystore()

  Returns:
    The file or URL of the SSL Key store.

### getKeystoreType

    java.lang.String getKeystoreType()

  Returns:
    The type of the key store (default "JKS")

### getNeedClientAuth

    boolean getNeedClientAuth()

  Returns:
    True if SSL needs client authentication.
  See Also:
    `SSLEngine.getNeedClientAuth()`

### getWantClientAuth

    boolean getWantClientAuth()

  Returns:
    True if SSL wants client authentication.
  See Also:
    `SSLEngine.getWantClientAuth()`

### setNeedClientAuth

    void setNeedClientAuth(boolean needClientAuth)

  Parameters:
    `needClientAuth` - True if SSL needs client authentication.
  See Also:
    `SSLEngine.getNeedClientAuth()`

### setWantClientAuth

    void setWantClientAuth(boolean wantClientAuth)

  Parameters:
    `wantClientAuth` - True if SSL wants client authentication.
  See Also:
    `SSLEngine.getWantClientAuth()`

### setKeystoreType

    void setKeystoreType(java.lang.String keystoreType)

  Parameters:
    `keystoreType` - The type of the key store (default "JKS")

### getProvider

    java.lang.String getProvider()

  Returns:
    The SSL provider name, which if set is passed to `SSLContext.getInstance(String, String)`

### getSecureRandomAlgorithm

    java.lang.String getSecureRandomAlgorithm()

  Returns:
    The algorithm name, which if set is passed to `SecureRandom.getInstance(String)` to obtain the `SecureRandom` instance passed to `SSLContext.init(javax.net.ssl.KeyManager[], javax.net.ssl.TrustManager[], SecureRandom)`

### getSslKeyManagerFactoryAlgorithm

    java.lang.String getSslKeyManagerFactoryAlgorithm()

  Returns:
    The algorithm name (default "SunX509") used by the `KeyManagerFactory`

### getSslTrustManagerFactoryAlgorithm

    java.lang.String getSslTrustManagerFactoryAlgorithm()

  Returns:
    The algorithm name (default "SunX509") used by the `TrustManagerFactory`

### getTruststore

    java.lang.String getTruststore()

  Returns:
    The file name or URL of the trust store location

### getTruststoreType

    java.lang.String getTruststoreType()

  Returns:
    The type of the trust store (default "JKS")

### setProvider

    void setProvider(java.lang.String provider)

  Parameters:
    `provider` - The SSL provider name, which if set is passed to `SSLContext.getInstance(String, String)`

### setSecureRandomAlgorithm

    void setSecureRandomAlgorithm(java.lang.String algorithm)

  Parameters:
    `algorithm` - The algorithm name, which if set is passed to `SecureRandom.getInstance(String)` to obtain the `SecureRandom` instance passed to `SSLContext.init(javax.net.ssl.KeyManager[], javax.net.ssl.TrustManager[], SecureRandom)`

### setSslKeyManagerFactoryAlgorithm

    void setSslKeyManagerFactoryAlgorithm(java.lang.String algorithm)

  Parameters:
    `algorithm` - The algorithm name (default "SunX509") used by the `KeyManagerFactory`

### setSslTrustManagerFactoryAlgorithm

    void setSslTrustManagerFactoryAlgorithm(java.lang.String algorithm)

  Parameters:
    `algorithm` - The algorithm name (default "SunX509") used by the `TrustManagerFactory`

### setTruststore

    void setTruststore(java.lang.String truststore)

  Parameters:
    `truststore` - The file name or URL of the trust store location

### setTruststoreType

    void setTruststoreType(java.lang.String truststoreType)

  Parameters:
    `truststoreType` - The type of the trust store (default "JKS")

### setSslContext

    void setSslContext(javax.net.ssl.SSLContext sslContext)

  Parameters:
    `sslContext` - Set a preconfigured SSLContext

### getSslContext

    javax.net.ssl.SSLContext getSslContext()

  Returns:
    The SSLContext

### isAllowRenegotiate

    boolean isAllowRenegotiate()

  Returns:
    True if SSL re-negotiation is allowed (default false)

### setAllowRenegotiate

    void setAllowRenegotiate(boolean allowRenegotiate)

  Set if SSL re-negotiation is allowed. CVE-2009-3555 discovered a vulnerability in SSL/TLS with re-negotiation. If your JVM does not have CVE-2009-3555 fixed, then re-negotiation should not be allowed.

  Parameters:
    `allowRenegotiate` - true if re-negotiation is allowed (default false)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.